<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Plugins/PluginBase/PluginFileHandler/PluginConfigHandler/PluginMissionConfig.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d68/_plugin_mission_config_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PluginMissionConfig.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d68/_plugin_mission_config_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>PluginMissionConfig <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d49/class_plugin_config_handler.html">PluginConfigHandler</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{   </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d4/d49/class_plugin_config_handler.html#a4dc7a04cbcc76e152360df7aa5e947af">    3</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">string</span> FILE_NAME                = <span class="stringliteral">&quot;scene_editor.cfg&quot;</span>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d4/d49/class_plugin_config_handler.html#ab1b3d0e4fa5df4a41dc3f852a12bf605">    4</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">string</span> SCENE_EDITOR_SCENE       = <span class="stringliteral">&quot;scene_load&quot;</span>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    <span class="comment">// GetInstance</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d4/d49/class_plugin_config_handler.html#ad2ffd483166c1551a418298edcffe961">    9</a></span>    <span class="keyword">static</span> PluginMissionConfig <a class="code hl_function" href="../../d4/d49/class_plugin_config_handler.html#ad2ffd483166c1551a418298edcffe961">GetInstance</a>()</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordflow">return</span> PluginMissionConfig.Cast( <a class="code hl_function" href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a>(PluginMissionConfig) );</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <span class="comment">// OnInit</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d4/d49/class_plugin_config_handler.html#a350fd0ec540ba33bdf889eaf3f2550ab">   17</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d49/class_plugin_config_handler.html#a350fd0ec540ba33bdf889eaf3f2550ab">OnInit</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        super.OnInit();</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        CfgParamString cfg_scene_name = CfgParamString.Cast( GetParamByName( SCENE_EDITOR_SCENE, <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#ac0481301affd7dbad5b77cf73ab5523c">CFG_TYPE_STRING</a> ) );</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">if</span> ( cfg_scene_name.GetValue() == <a class="code hl_variable" href="../../d1/d84/group___string_constants.html#gafc1a547acaf02f4fd1a0d9e1bf190142">STRING_EMPTY</a> )</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            cfg_scene_name.SetValue( PluginSceneManager.SCENE_DEFAULT_NAME );</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            SaveConfigToFile();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="comment">// GetFileName</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d4/d49/class_plugin_config_handler.html#a26074cd80015f7ba26c4530d1386d90d">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d49/class_plugin_config_handler.html#a26074cd80015f7ba26c4530d1386d90d">GetFileName</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetMissionFolderPath() +<span class="stringliteral">&quot;\\&quot;</span>+ <a class="code hl_variable" href="../../d4/d49/class_plugin_config_handler.html#a4dc7a04cbcc76e152360df7aa5e947af">FILE_NAME</a>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <span class="comment">// GetSceneEditorName</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d4/d49/class_plugin_config_handler.html#a24fe97da5395e13ca04514e899e977a5">   41</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d49/class_plugin_config_handler.html#a24fe97da5395e13ca04514e899e977a5">GetSceneEditorName</a>()</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        CfgParamString cfg_scene_name = CfgParamString.Cast( GetParamByName( SCENE_EDITOR_SCENE, <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#ac0481301affd7dbad5b77cf73ab5523c">CFG_TYPE_STRING</a> ) );</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">if</span> ( cfg_scene_name.GetValue() == <a class="code hl_variable" href="../../d1/d84/group___string_constants.html#gafc1a547acaf02f4fd1a0d9e1bf190142">STRING_EMPTY</a> )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            cfg_scene_name.SetValue( PluginSceneManager.SCENE_DEFAULT_NAME );</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            SaveConfigToFile();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">return</span> cfg_scene_name.GetValue();</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="comment">// SetSceneEditorName</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d4/d49/class_plugin_config_handler.html#a5a2cba2134443ef5d66fb6afa396b249">   57</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d49/class_plugin_config_handler.html#a5a2cba2134443ef5d66fb6afa396b249">SetSceneEditorName</a>( <span class="keywordtype">string</span> value )</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        CfgParamString cfg_scene_name = CfgParamString.Cast( GetParamByName( SCENE_EDITOR_SCENE, <a class="code hl_variable" href="../../d0/d22/_cfg_param_8c.html#ac0481301affd7dbad5b77cf73ab5523c">CFG_TYPE_STRING</a> ) );</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        cfg_scene_name.SetValue( value );</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        SaveConfigToFile();</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>}</div>
<div class="ttc" id="a_cfg_param_8c_html_ac0481301affd7dbad5b77cf73ab5523c"><div class="ttname"><a href="../../d0/d22/_cfg_param_8c.html#ac0481301affd7dbad5b77cf73ab5523c">CFG_TYPE_STRING</a></div><div class="ttdeci">const int CFG_TYPE_STRING</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d22/_cfg_param_8c_source.html#l00001">CfgParam.c:1</a></div></div>
<div class="ttc" id="a_day_z_game_8c_html_a5b4f7935d7cbb89f7a4610452d633707"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a></div><div class="ttdeci">DayZGame g_Game</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l03101">DayZGame.c:3101</a></div></div>
<div class="ttc" id="a_plugin_manager_8c_html_a35050f82bea320b7a5336fc549630eaf"><div class="ttname"><a href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a></div><div class="ttdeci">PluginBase GetPlugin(typename plugin_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5d/_plugin_manager_8c_source.html#l00300">PluginManager.c:300</a></div></div>
<div class="ttc" id="aclass_plugin_config_handler_html"><div class="ttname"><a href="../../d4/d49/class_plugin_config_handler.html">PluginConfigHandler</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d21/_plugin_config_debug_profile_8c_source.html#l00001">PluginConfigDebugProfile.c:2</a></div></div>
<div class="ttc" id="aclass_plugin_config_handler_html_a24fe97da5395e13ca04514e899e977a5"><div class="ttname"><a href="../../d4/d49/class_plugin_config_handler.html#a24fe97da5395e13ca04514e899e977a5">PluginConfigHandler::GetSceneEditorName</a></div><div class="ttdeci">string GetSceneEditorName()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d68/_plugin_mission_config_8c_source.html#l00041">PluginMissionConfig.c:41</a></div></div>
<div class="ttc" id="aclass_plugin_config_handler_html_a26074cd80015f7ba26c4530d1386d90d"><div class="ttname"><a href="../../d4/d49/class_plugin_config_handler.html#a26074cd80015f7ba26c4530d1386d90d">PluginConfigHandler::GetFileName</a></div><div class="ttdeci">override string GetFileName()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d68/_plugin_mission_config_8c_source.html#l00033">PluginMissionConfig.c:33</a></div></div>
<div class="ttc" id="aclass_plugin_config_handler_html_a350fd0ec540ba33bdf889eaf3f2550ab"><div class="ttname"><a href="../../d4/d49/class_plugin_config_handler.html#a350fd0ec540ba33bdf889eaf3f2550ab">PluginConfigHandler::OnInit</a></div><div class="ttdeci">override void OnInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d68/_plugin_mission_config_8c_source.html#l00017">PluginMissionConfig.c:17</a></div></div>
<div class="ttc" id="aclass_plugin_config_handler_html_a4dc7a04cbcc76e152360df7aa5e947af"><div class="ttname"><a href="../../d4/d49/class_plugin_config_handler.html#a4dc7a04cbcc76e152360df7aa5e947af">PluginConfigHandler::FILE_NAME</a></div><div class="ttdeci">protected const string FILE_NAME</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d68/_plugin_mission_config_8c_source.html#l00003">PluginMissionConfig.c:3</a></div></div>
<div class="ttc" id="aclass_plugin_config_handler_html_a5a2cba2134443ef5d66fb6afa396b249"><div class="ttname"><a href="../../d4/d49/class_plugin_config_handler.html#a5a2cba2134443ef5d66fb6afa396b249">PluginConfigHandler::SetSceneEditorName</a></div><div class="ttdeci">void SetSceneEditorName(string value)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d68/_plugin_mission_config_8c_source.html#l00057">PluginMissionConfig.c:57</a></div></div>
<div class="ttc" id="aclass_plugin_config_handler_html_ad2ffd483166c1551a418298edcffe961"><div class="ttname"><a href="../../d4/d49/class_plugin_config_handler.html#ad2ffd483166c1551a418298edcffe961">PluginConfigHandler::GetInstance</a></div><div class="ttdeci">static PluginMissionConfig GetInstance()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d68/_plugin_mission_config_8c_source.html#l00009">PluginMissionConfig.c:9</a></div></div>
<div class="ttc" id="agroup___string_constants_html_gafc1a547acaf02f4fd1a0d9e1bf190142"><div class="ttname"><a href="../../d1/d84/group___string_constants.html#gafc1a547acaf02f4fd1a0d9e1bf190142">STRING_EMPTY</a></div><div class="ttdeci">const string STRING_EMPTY</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00054">constants.c:54</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_2b66b8ed1afe82646c8af9c779a96cad.html">Plugins</a></li><li class="navelem"><a class="el" href="../../dir_bfbe43b663634ae31e97616eeb4b3740.html">PluginBase</a></li><li class="navelem"><a class="el" href="../../dir_02bff3d89c91b6446c38c80ebe6e9f33.html">PluginFileHandler</a></li><li class="navelem"><a class="el" href="../../dir_ee0362fda6b8039ba8ff7f2bb7ff0e48.html">PluginConfigHandler</a></li><li class="navelem"><a class="el" href="../../db/d68/_plugin_mission_config_8c.html">PluginMissionConfig.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
